Events
Event List
List all events using the filtering options.
GET
List all events using the filtering options.
cookie
storyden-session<token>q?stringSearch query string.
Length
0 <= lengthpage?stringPagination query parameters.
Event list.
application/json- response
To be composed with paginated resource responses.
page_size*integerresults*integertotal_pages*integercurrent_page*integernext_page?integerevents*array<>curl -X GET 'https://example.com/api/events'Example Response
{ "page_size": 0, "results": 0, "total_pages": 0, "current_page": 0, "next_page": 0, "events": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "slug": "string", "description": "string", "time_range": { "start": "2019-08-24T14:15:22Z", "end": "2019-08-24T14:15:22Z" }, "primary_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "participants": [ { "profile": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "role": "attendee", "status": "requested" } ], "participation_policy": "open", "visibility": "draft", "location": { "location_type": "physical", "name": "string", "address": "string", "latitude": 0, "longitude": 0, "url": "string" }, "capacity": 0, "meta": {} } ]}